# 2025-03-21: Sequential ID Service - siteCode query param

## Overview

Query param `siteCode` has been added to endpoints responsible for generating next ids. The `siteCode` is used to resolve certain placeholders. Placeholders such as `__year__`, `__month__`, `__day__`, `__hour__`, `__minute__`, `__second__` and `__country__`, which are defined in the schema, can have some default values computed when their counterparts are missing in the request body. The default values are derived from the site. Specifically:

* All date-related placeholders are computed based on the `site.homeBase.timezone` field.
* The country placeholder is replaced with the value of the `site.homeBase.address.country` field.

If these values are missing in a site configuration, the following defaults are used:

* `UTC` for timezone
* `DE` for country

## Updated endpoints

| Endpoint                                                                                                                                                                                                              | Description                   |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| [Creating a nextId](https://developer.emporix.io/api-references/api-guides/utilities/sequential-id/api-reference/sequential-ids-management#post-sequential-id-sequenceschemas-sequenceschema-nextids)                 | Query param `siteCode` added. |
| [Creating a nextId for schema type](https://developer.emporix.io/api-references/api-guides/utilities/sequential-id/api-reference/sequential-ids-management#post-sequential-id-tenant-schemas-types-schematype-nextid) | Query param `siteCode` added. |
| [Creating a nextId for schema types](https://developer.emporix.io/api-references/api-guides/utilities/sequential-id/api-reference/sequential-ids-management#post-sequential-id-sequenceschemabatch-nextids)           | Query param `siteCode` added. |

## Known problems

There are no known problems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-03-21-sequential-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
